Skip to main content
POST
https://api.onstacks.io
/
v1
/
wallets
/
{walletId}
/
accounts
Create wallet accounts
curl --request POST \
  --url https://api.onstacks.io/v1/wallets/{walletId}/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "network_code": "<string>",
  "count": 10
}
'
{
  "data": {
    "accounts": [
      {
        "network_code": "<string>",
        "address": "<string>",
        "path": "<string>",
        "is_default": true,
        "network_display_name": "<string>",
        "asset_symbol": "<string>"
      }
    ]
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Path Parameters

walletId
string<uuid>
required

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Body

application/json
network_code
string
required
count
integer
required
Required range: 1 <= x <= 20

Response

Account derived

data
object
required
error
null
required
request_id
string
required